package tutorialJava.capitulo5.ejercicios.bloque02.articulosComestibles;

import tutorialJava.Utils;

public class Tienda {

	public Tienda() {
	}	
	
	public static void main(String args[]) {
		Articulo articulos[] = new Articulo[4];
		
		for (int i = 0; i < articulos.length; i++) {
			if (i < 2) {
				System.out.println("Introduzca datos de Art perecedero: ");
				ArtPerecedero artPer = new ArtPerecedero();
				artPer.setCodigo(Utils.
						obtenerCadenaConDescripcion("Dame código:"));
				artPer.setNombre(Utils.
						obtenerCadenaConDescripcion("Dame nombre:"));
				artPer.setPrecio(Utils.
						pideNumeroFloat("Dame precio"));
				artPer.setFechaCaducidad(Utils.
						obtenerCadenaConDescripcion("Dame fecha caducidad:"));
				articulos[i] = artPer;
			}
			else {
				System.out.println("Introduzca datos de Art perecedero: ");
				ArtNoPerecedero artNoPer = new ArtNoPerecedero();
				artNoPer.setCodigo(Utils.
						obtenerCadenaConDescripcion("Dame código:"));
				artNoPer.setNombre(Utils.
						obtenerCadenaConDescripcion("Dame nombre:"));
				artNoPer.setPrecio(Utils.
						pideNumeroFloat("Dame precio"));
				articulos[i] = artNoPer;
			}
		}
		
		// Muestro los valores
		for (int i = 0; i < articulos.length; i++) {
			System.out.println(articulos[i].toString());
		}
	}
}



